﻿<form role="form">
    <input id="NewsletterEmail" placeholder="Suscribite a nuestro newsletter ingresando aquí tu E-mail">
    <button type="button" class="le-button" onclick="return RegisterNewsletter();">Suscribirme</button>
</form>

<script language="javascript" type="text/javascript">

    function RegisterNewsletter()
    {
        var email = $("#NewsletterEmail").val();

        if (isValid(email))
        {
            $.ajax({
                type: "POST",
                cache: false,
                url: "/Institutional/RegisterNewsletter/?email=" + email,
                data: $(this).serializeArray(),
                success: function (data)
                {
                    toastr.success("Listo! Ya estás registrado :-).");
                    $("#NewsletterEmail").val('');
                }
            });
        }
    }

    function isValid(email)
    {
        if (email == "Ingrese su e-mail..." || email == "") {
            toastr.warning("Ingrese su Email.");
            return false;
        }

        if (!isValidEmailAddress(email))
        {
            toastr.warning("El Email ingresado es inválido.");
            return false;
        }
        return true;
    }

    function isValidEmailAddress(emailAddress) {
        var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
        return pattern.test(emailAddress);
    }


</script>
